import React, { Component } from 'react';
import './supported-comps';
declare class PageBuilder extends Component {
    props: any;
    state: any;
    static propTypes: any;
    constructor(props: any);
    componentDidUpdate(): Promise<void>;
    checkPageLoad(): Promise<void>;
    componentDidMount(): Promise<void>;
    savePageAsNew(): Promise<void>;
    savePageAsDraft(autoSave?: any): Promise<void>;
    componentOnDrop(item: any, e: any, idx: any): void;
    toggleProps(): void;
    toggleElements(): void;
    advFormOnChange(data: any): void;
    formOnChange(data: any): void;
    onContentChange(data: any, idx: any): void;
    onContentDelete(idx: any): void;
    toggleQuickPreview(): void;
    toggleAutoSave(): void;
    toggleAdvPageConfig(): void;
    showPreview(): void;
    onMoveItemDown(index: any): void;
    checkAutoSave(): void;
    onMoveItemUp(index: any): void;
    getLiveFields(items?: any[]): any[];
    getDrivedProps(): {
        liveFields: any[];
    };
    render(): import("react/jsx-runtime").JSX.Element;
}
declare const _default: import("react-redux").ConnectedComponent<typeof PageBuilder, {
    [x: string]: any;
    [x: number]: any;
    [x: symbol]: any;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>>;
    store?: import("redux").Store<any, import("redux").AnyAction>;
}>;
export default _default;
